POST
/api/v1/agents/{entityPublicId}/trading/perps/quotesTrading_CreatePerpsQuote
- Authentication
- required-user
- Cache policy
- none
- Success and errors
- 201, 400, 401, 403, 404, 409, 422, 500
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Trading_CreatePerpsQuote",
"summary": "POST /api/v1/agents/{entityPublicId}/trading/perps/quotes",
"tags": [
"Trading"
],
"parameters": [
{
"name": "entityPublicId",
"in": "path",
"required": true,
"schema": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"walletPublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"marketId": {
"type": "string",
"pattern": "^(0|[1-9][0-9]{0,9})$"
},
"side": {
"type": "string",
"enum": [
"LONG",
"SHORT"
]
},
"orderType": {
"type": "string",
"enum": [
"MARKET_OPEN",
"MARKET_CLOSE",
"LIMIT",
"CANCEL"
]
},
"baseSizeAtomic": {
"type": "string",
"pattern": "^[1-9][0-9]{0,77}$"
},
"requestedLeverageBps": {
"type": "integer",
"minimum": 10000,
"maximum": 1000000
},
"maxCollateralAtomic": {
"type": "string",
"pattern": "^[1-9][0-9]{0,77}$"
},
"maxSlippageBps": {
"default": 100,
"type": "integer",
"minimum": 1,
"maximum": 5000
},
"limitPriceAtomic": {
"anyOf": [
{
"type": "string",
"pattern": "^[1-9][0-9]{0,77}$"
},
{
"type": "null"
}
]
},
"providerPositionId": {
"anyOf": [
{
"type": "string",
"maxLength": 200
},
{
"type": "null"
}
]
},
"targetProviderOrderId": {
"anyOf": [
{
"type": "string",
"pattern": "^(0|[1-9][0-9]{0,9})$"
},
{
"type": "null"
}
]
}
},
"required": [
"walletPublicId",
"marketId",
"side",
"orderType"
],
"additionalProperties": false
}
}
}
},
"security": [
{
"cookieAuth": []
}
],
"responses": {
"201": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"required": [
"data",
"meta"
],
"properties": {
"data": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"venue": {
"type": "string"
},
"marketId": {
"type": "string"
},
"walletPublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"side": {
"type": "string",
"enum": [
"LONG",
"SHORT"
]
},
"orderType": {
"type": "string",
"enum": [
"MARKET_OPEN",
"MARKET_CLOSE",
"LIMIT",
"CANCEL"
]
},
"baseSizeAtomic": {
"type": "string"
},
"limitPriceAtomic": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"targetProviderOrderId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"estimatedEntryPriceAtomic": {
"type": "string"
},
"worstPriceAtomic": {
"type": "string"
},
"notionalAtomic": {
"type": "string"
},
"collateralAtomic": {
"type": "string"
},
"leverageBps": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"liquidationPriceAtomic": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"liquidationDistanceBps": {
"anyOf": [
{
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
},
"feeAtomic": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"fundingContext": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"quoteDigest": {
"type": "string",
"pattern": "^[0-9a-f]{64}$"
},
"riskPolicyVersion": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"riskReasonCodes": {
"type": "array",
"items": {
"type": "string"
}
},
"forceApproval": {
"type": "boolean"
},
"observedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"expiresAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"expired": {
"type": "boolean"
}
},
"required": [
"publicId",
"venue",
"marketId",
"walletPublicId",
"side",
"orderType",
"baseSizeAtomic",
"limitPriceAtomic",
"targetProviderOrderId",
"estimatedEntryPriceAtomic",
"worstPriceAtomic",
"notionalAtomic",
"collateralAtomic",
"leverageBps",
"liquidationPriceAtomic",
"liquidationDistanceBps",
"feeAtomic",
"fundingContext",
"quoteDigest",
"riskPolicyVersion",
"riskReasonCodes",
"forceApproval",
"observedAt",
"expiresAt",
"expired"
],
"additionalProperties": false
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
}
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"401": {
"description": "unauthenticated",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"403": {
"description": "forbidden",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"409": {
"description": "conflict",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"422": {
"description": "configuration missing",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "required-user",
"x-cache-policy": "none",
"x-required-scopes": [],
"x-rate-cost": 1,
"x-stability": "STABLE"
}